import MoveList from '@/features/trackSomething/components/MoveList';
import MoveOrderList from '@/features/trackSomething/components/MoveOrderList';
import { Canvas, View, Text, PageContainer } from '@tarojs/components';

import { MovableArea, MovableView } from "@tarojs/components";
import { useEffect, useState } from 'react';

export default function Demo() {
  const [show,setShow] = useState(false)

  function items() {
    var array = []
    for (var i = 0; i < 55; i++) {
      var item = (
        <View style={{ height: 60, color: '#fff', width: 375, display: 'flex', flexDirection: 'row', alignItems: 'center' }}><Text style={{}}>第{i}咧</Text></View>
      )
      array.push(item)
    }
    return array
  }


  return (


    <View>
      <View style={{height:50}}/>
      <MoveOrderList itemHeight={60} array={items()} />
      <Text style={{color:'#fff',fontWeight:'bold'}} onClick={()=>setShow(true)}>打开page container</Text>
      <PageContainer style={{backgroundColor:'transparent'}} 
      overlayStyle='background:transparent'
      show={show} round={true} overlay={true} position='bottom' onAfterLeave={()=>setShow(false)}>
        <View style={{width:200,height:200,backgroundColor:'pink',margin:50}}/>
      </PageContainer>
    </View>
  )
}
